Subject: Re: bug#26104: 26.0.50; In Ubuntu, having mouse over other frame cause Alt key to produce a <switch-frame> event

From: Jonathan Ganc <[email-masked]>
Date: Sat, 8 Apr 2017 18:42:11 -0400

On 04/08/2017 04:59 AM, martin rudalics wrote:
> And what would make you that sure that the `handle-switch-frame' event
> was not inserted before you disabled xinput?

I used both yank and then yank-pop after I disabled the xinput. But 
also, I can see that read-event gives switch-frame every time I press 
alt. But you are clearly correct in that the mouse/cursor plays an 
important role, since it only happens when the cursor is in a particular 
position.

>
> Anyway, as a first attempt try to apply the attached patch to keyboard.c
> and tell me what the value of the variable `lispy-switch-frame-source'
> is when you try your M-y.
>
> martin
I changed keyboard.c and rebuilt emacs. The value for 
lispy-switch-frame-source is focus_in_event.